> ## Documentation Index
> Fetch the complete documentation index at: https://docs.odds-api.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Odds Movements

> Returns all historical odds movements for a specific market type and handicap line of a specific event from a bookmaker.



## OpenAPI

````yaml /api-reference/openapi.json get /odds/movements
openapi: 3.0.0
info:
  description: >-
    Odds-API.io is a powerful sports betting odds comparison API, providing
    real-time data from 250+ bookmakers across 10+ sports with near zero
    latency.


    - 250+ bookmakers supported

    - 10+ sports including Football, Basketball, Tennis, Esports and more

    - Real-time odds with close to zero latency

    - Pre-match & In-play odds coverage

    - 99.9% uptime for reliability
  title: Odds-API.io - Real-Time Sports Betting Odds API (v3)
  contact: {}
  version: 3.0.0
servers:
  - url: https://api.odds-api.io/v3
security: []
paths:
  /odds/movements:
    get:
      tags:
        - Odds
      summary: Get Odds Movements
      description: >-
        Returns all historical odds movements for a specific market type and
        handicap line of a specific event from a bookmaker.
      parameters:
        - description: API key for authentication
          name: apiKey
          in: query
          required: true
          schema:
            type: string
        - example: '"123456"'
          description: Event ID
          name: eventId
          in: query
          required: true
          schema:
            type: string
        - description: Bookmaker name (e.g. Bet365, SingBet)
          name: bookmaker
          in: query
          required: true
          schema:
            type: string
        - description: Market type name (e.g. ML, Spread, Totals)
          name: market
          in: query
          required: true
          schema:
            type: string
        - description: Handicap line (e.g. 0.5, 1.0, 2.5) - not required for ML markets
          name: marketLine
          in: query
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/controllers.HandicapMovementsResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/controllers.ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/controllers.ErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/controllers.ErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/controllers.ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/controllers.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    controllers.HandicapMovementsResponse:
      type: object
      properties:
        bookmaker:
          type: string
        eventid:
          type: string
        latest:
          $ref: '#/components/schemas/controllers.HandicapMovement'
        movements:
          type: array
          items:
            $ref: '#/components/schemas/controllers.HandicapMovement'
        opening:
          $ref: '#/components/schemas/controllers.HandicapMovement'
    controllers.ErrorResponse:
      type: object
      properties:
        error:
          type: string
          example: Error message
    controllers.HandicapMovement:
      type: object
      properties:
        away:
          type: number
        draw:
          type: number
        hdp:
          type: string
        home:
          type: number
        max:
          type: integer
        timestamp:
          type: integer

````